Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 4.4.0SynchronousAuth Required

AddResourceToIAM2Project

AddResourceToIAM2Project

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • projectUuidStringRequired

      The project UUID.

    • resourceTemplatesListRequired

      The resource template.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/iam2/projects/add/resource/

/zstack/v1/iam2/projects/add/resource/

Operation ID

AddResourceToIAM2Project

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/projects/add/resource/' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"projectUuid":"<projectUuid>","resourceTemplates":["<resourceTemplates>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history